﻿using MasterDetail.Core;
using MasterDetail.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterDetail.ViewModels
{
    public class MasterViewModel : ViewModelBase
    {
        private MasterItem _selectedItem;
        public List<MasterItem> MasterItems { get; set; }

        public MasterItem SelectedItem
        {
            get { return _selectedItem; }
            set
            {
                if (_selectedItem != value)
                {
                    if (_selectedItem?.ViewModel?.Content != null)
                    {
                        _selectedItem.ViewModel.Content.Dispose();
                    }
                    _selectedItem = value;
                    OnPropertyChanged();
                }
            }
        }
        public MasterViewModel()
        {
            MasterItems = new List<MasterItem>()
            {
            new MasterItem("/MasterDetail;component/Images/home.png",new HomeViewModel("Home")),
            new MasterItem("/MasterDetail;component/Images/detail.png", new DetailViewModel("Details"))

            };
        }
    }
}
